Subject: [mpls] Mail regarding draft-akiya-bfd-seamless-ip

From: Gregory Mirsky <[email-masked]>
Date: Wed, 9 Jul 2014 22:21:10 +0000

Dear Authors,
as the scope of the document includes MPLS data plane I've included MPLS WG in the discussion. Hope you don't mind.
Please find my notes to the draft below:

*         Section 2 states  "S-BFD packets are transmitted with IP header, UDP header and BFD control header". Does that mean that ACH encapsulation is outside the scope of this document as in that case S-BFD packets would not have IP and UDP headers. If that is the case, then clarification of the scope seems appropriate.

*         Section 2 introduces "explicitly label switched" scenario. What is it?

*         Section 2.1, bullet describing selection of Destination IP address. The RFC 5884 allows use of the whole range rather than one address:
"The destination IP address MUST be randomly chosen from the 127/8 range for IPv4 and  from the 0:0:0:0:0:FFFF:7F00/104 range for IPv6 with the following exception."
The document, as worded, restricts use of Destination IP address to exercise particular path among available multi-paths, as suggested in the RFC 5884.
I'd suggest to use explanation from Section 7 of the RFC 5884.

*         Note that if IP/UDP encapsulation used for S-BFD there could not be "new associated channel type for S-BFD" as 0x0021 and 0x0057 must be used for IPv4 and IPv6 accordingly. Or was the Ed.Note for PW-ACH encapsulation? But Section 3 discusses only IP routing of S-BFD pong.

Thank you for your kind consideration.

Regards,
        Greg

---

From: "Nobo Akiya (nobo)" <[email-masked]>
Date: Sat, 12 Jul 2014 00:27:34 +0000

Hi Greg,

Thanks for comments!
Please see in-line.

> -----Original Message-----
> From: Gregory Mirsky [mailto:[email-masked]]
> Sent: Wednesday, July 09, 2014 6:21 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: Mail regarding draft-akiya-bfd-seamless-ip
> 
> Dear Authors,
> as the scope of the document includes MPLS data plane I've included MPLS
> WG in the discussion. Hope you don't mind.

Sure, no problem at all.

> . Section 2 states  "S-BFD packets are transmitted with IP header, UDP
> header and BFD control header". Does that mean that ACH encapsulation is
> outside the scope of this document as in that case S-BFD packets would not
> have IP and UDP headers. If that is the case, then clarification of the scope
> seems appropriate.

Good question. This is exactly one of the points that authors are looking for feedback on. We have two options.

This is the S-BFD update slide for IETF90 to be presented in the BFD WG.

http://www.ietf.org/proceedings/90/slides/slides-90-bfd-2.pptx

Please see page 3 on the two options, and we welcome comments/suggestions :)

> . Section 2 introduces "explicitly label switched" scenario. What is it?

On the wire, a packet may have a label stack, but ...

Type 1: Those locally generated packets that are routed but happens rides over an LSP (ex: IP routed but goes over LDP LSP).
Type 2: Those locally generated packets that are designed to ride over a specific LSP.

By "explicitly label switched", I wanted to say Type 2. But looking for suggestions.

> . Section 2.1, bullet describing selection of Destination IP address. The RFC
> 5884 allows use of the whole range rather than one address:
> "The destination IP address MUST be randomly chosen from the 127/8 range
> for IPv4 and  from the 0:0:0:0:0:FFFF:7F00/104 range for IPv6 with the
> following exception."
> The document, as worded, restricts use of Destination IP address to exercise
> particular path among available multi-paths, as suggested in the RFC 5884.

Good catch! Yes we wanted to describe the range similar to RFC5884, but worded it incorrectly. We will fix that in the next revision.

> . Note that if IP/UDP encapsulation used for S-BFD there could not be "new
> associated channel type for S-BFD" as 0x0021 and 0x0057 must be used for
> IPv4 and IPv6 accordingly. Or was the Ed.Note for PW-ACH encapsulation?
> But Section 3 discusses only IP routing of S-BFD pong.

Let's see what the WG decides on the S-BFD document structuring (your comment #1 in above).

> Thank you for your kind consideration.

Thanks for always thoughtful comments!

-Nobo